<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_baec81a782bb3d538149a9225688" . "246e" => base64_decode("ZXZlbnRfc291cm" . "Nl"), "_8cca4dd34e20c5344bb2a30f2533c" . "4e5" => base64_decode("ZnVsbF9u" . "YW1l"), "_28c85ce81fee65329802" . "62893b6f2425" => base64_decode("dXNlcm5hbWU" . "="), "use" . "r_i" . "d" => base64_decode("dXNl" . "cl9p" . "ZA=="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class AddUserEvent extends GenericEvent
{
    
    
    
    
    
    
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["use" . "r_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_8cca4dd34e2" . "0c5344bb2a30" . "f2533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_28c85ce81fee65" . "32980262893b6f2" . "425"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_baec81a782bb3d538149a922" . "5688246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMsg($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMsg()
    {
        return $this->error_message;
    }
}